#! /bin/csh -f
#
#   scripts/mlphare.com  - Automatically generated mlphare script
#
#   (courtesy of the Phaser Elves)
#
# intended for P212121
#         cell 74.61 83.942 109.135 90 90 90
#
set mtzfile = mtz/all.mtz
set outfile = mlphared.mtz

if(("$1" =~ *.mtz)&&(-e "$1")) set mtzfile = "$1"

mlphare \
        HKLIN $mtzfile \
	HKLOUT $outfile   \
 << eof-phare
TITLE Phaser Elves's mlphare script
HLOUT

RESOLUTION 58.722 1.73
SCALE SIGFP 1.0
CYCLE 30
ANGLE 10
PRINT AVE AVF
LABIN FP=Fin     SIGFP=SIGFin -
      FPH1=Fin   SIGFPH1=SIGFin  DPH1=DANOFin    SIGDPH1=SIGDANOFin -
      FPH2=Fpk   SIGFPH2=SIGFpk  DPH2=DANOFpk    SIGDPH2=SIGDANOFpk -
      FPH3=Fhr   SIGFPH3=SIGFhr  DPH3=DANOFhr    SIGDPH3=SIGDANOFhr 
LABOUT ALLIN
RUN

# note that occupancies here should be in "electron" units
# relative to the absolute scale of your data
 DERIV     Fin-Fin, and Fin anomalous
 EXCLUDE DANO 52.7 
 DCYCLE PHASE ALL REFCYC ALL KBOV ALL
 RESO      58.72      1.73
 SCALE    FPH1    0.9998    0.0035
 ISOE        0.00    0.00    0.00    0.00    0.00    0.00    0.00    0.00
 RESO ANO       58.72    1.73
 ANOE       86.74    4.81    4.50    4.50    4.17    5.23    8.79   11.64
 ATOM1   ANO   0.562  0.054  0.741  0.000  1.481 BFAC   49.620
 ATREF AX ALL AY ALL AZ ALL AOCC ALL 
 ATOM2   ANO   0.221  0.564  0.651  0.000  2.498 BFAC   41.850
 ATREF AX ALL AY ALL AZ ALL AOCC ALL 
 ATOM3   ANO   0.217  0.022  0.098  0.000  2.606 BFAC   27.136
 ATREF AX ALL AY ALL AZ ALL AOCC ALL 


 DERIV     Fpk-Fin, and Fpk anomalous
 EXCLUDE DISO 56.1 DANO 61.6 
 DCYCLE PHASE ALL REFCYC ALL KBOV ALL
 RESO      58.72      1.73
 SCALE    FPH2    0.9954   -0.0619
 ISOE       26.07   11.78   11.95   12.95   11.18    7.67    7.74    7.89
 RESO ANO       58.72    1.73
 ANOE       87.30   12.09    8.24    8.04    6.93    6.79    8.69   11.18
 ATOM1   ANO   0.561  0.055  0.737  2.488  1.709 BFAC   26.065
 ATREF X ALL Y ALL Z ALL OCC ALL AOCC ALL 
 ATOM2   ANO   0.222  0.563  0.650  4.519  3.374 BFAC   27.107
 ATREF X ALL Y ALL Z ALL OCC ALL AOCC ALL 
 ATOM3   ANO   0.216  0.023  0.098  5.674  3.593 BFAC   15.913
 ATREF X ALL Y ALL Z ALL OCC ALL AOCC ALL 


 DERIV     Fhr-Fin, and Fhr anomalous
 EXCLUDE DISO 55.3 DANO 57.4 
 DCYCLE PHASE ALL REFCYC ALL KBOV ALL
 RESO      58.72      1.73
 SCALE    FPH3    0.9985   -0.2724
 ISOE       34.43   10.62    9.35    9.24    7.45    6.22    7.51    8.38
 RESO ANO       58.72    1.73
 ANOE       66.90    4.49    4.76    4.85    6.08    7.39   10.84   11.88
 ATOM1   ANO   0.162  0.054  0.738  4.324  1.719 BFAC   42.910
 ATREF X ALL Y ALL Z ALL OCC ALL AOCC ALL 
 ATOM2   ANO   0.221  0.564  0.650  5.881  2.258 BFAC   32.900
 ATREF X ALL Y ALL Z ALL OCC ALL AOCC ALL 
 ATOM3   ANO   0.216  0.023  0.098  6.656  2.449 BFAC   18.672
 ATREF X ALL Y ALL Z ALL OCC ALL AOCC ALL 

END
eof-phare
if(! $status) then
    echo $mtzfile phased to $outfile
endif

exit

Sites we have already tried (history list):
OLDATOM6   ANO   0.533  0.169  0.023  ?.???  ?.??? BFAC    ?.???
OLDATOM7   ANO   0.257  0.116  0.931  ?.???  ?.??? BFAC    ?.???
BADATOM4   ANO  -0.254 -0.132  1.007  0.000  0.305 BFAC    3.748 (B too low)
BADATOM7   ANO   0.257  0.131  0.971  1.493  0.886 BFAC    5.870 (B too low)
OLDATOM8   ANO   0.751  0.150  0.296  ?.???  ?.??? BFAC    ?.???
OLDATOM9   ANO   0.774  0.204  0.870  ?.???  ?.??? BFAC    ?.???
BADATOM7   ANO   0.765  0.117  0.257  0.000  0.054 BFAC    1.125 (B too low)
BADATOM8   ANO   0.773  0.198  0.862  0.000  0.081 BFAC    2.497 (B too low)
OLDATOM10  ANO   0.008  0.098  0.144  ?.???  ?.??? BFAC    ?.???
OLDATOM11  ANO   0.644  0.181  0.101  ?.???  ?.??? BFAC    ?.???
