#! /usr/bin/csh -f
#
#
set FRAMES = "1 to 180"
set PARTS = "$FRAMES"
#
if ($1 == "converge") set converge
if ($1 == "new") rm reject
#
#
set temp = ">! logs/scale$$.log"
if ($?converge) then
	echo converging...
	if (-e reject) rm reject
	if (-e buddies.history) rm buddies.history
	set temp = ""
endif
set lastreject = ""
again:

if(! -e logs) mkdir logs
/programs/HKL/newest/scalepack << eof-scale   $temp

resolution 15.0 2.2           [Resolution limits for all data to be scaled]
                                 [optional]

number of zones 10               [Number of resolution shells                ]
estimated error
 0.03 0.03 0.03 0.03 0.03
 0.03 0.03 0.03 0.03 0.03
error scale factor 2.3		 [this is bigger than normal because denzo     ]
				 [thinks the quantum gain of ADSC is 1, not 0.3]

rejection probability 0.0001     [expected fraction of outliers in the data  ]

@reject                          [file with the list of rejected reflections ]
                                 [you are advised to inspect that file       ]
write rejection file 0.9         [outliers will be written into 'reject' file] 

[profiles summed		 [use integrated intensities (not profile-fitted)]
[scale restrain 0.02              [this command restrains scale factors       ]
[B restrain 0.5                   [this command restrains B factors           ]

sigma cutoff -3.0                [DON'T change this without reading the manual]

space group P212121 

output file bijovet.hkli         [output file containing h,k,l,I,sigmaI  in  ]
anomalous			 [keep +I, -I sepatate in output file        ]
[scale anomalous    		 [keep +I, -I sepatate in output file, and   ]
				 [in scaling calculations.                   ]

reference batch 1                [reference batch in scaling procedure. In   ]
                                 [older versions use 'reference film' command]
                                 [instead                                    ]
add partials $PARTS 		 [only partials between 0-49,100-149 will be ]
                                 [used                                       ]
ignore overloads                 [all reflection with saturated, (overloaded)]
                                 [ pixels, will be ignored                   ]
postrefine 20                    [Number of cycles for postrefinement, if    ]
                                 [you set 'postrefine 0', program will skip  ]
                                 [postrefinement procedure                   ]
fit crystal a* $FRAMES          []
fit crystal b* $FRAMES          []
fit crystal c* $FRAMES          []
[fit crystal alpha* $FRAMES      []
[fit crystal beta* $FRAMES	 []
[fit crystal gamma* $FRAMES 	 []
fit crystal mosaicity $FRAMES	 []
[if you think you might have anisotropic mosaicity, set ranges here]
[fit crystal mosaicity 1 to 5    6 to 10   11 to 15   16 to 20   21 to 25   26 to 30
		     31 to 35   36 to 40   41 to 45   46 to 50   51 to 55   56 to 60
                     61 to 65   66 to 70   71 to 75   76 to 80   81 to 85   86 to 90
		     91 to 95   96 to 100 101 to 105 106 to 110 111 to 115 116 to 120
		    121 to 125 126 to 130 131 to 135 136 to 140 141 to 145 146 to 150
		    151 to 157
				 [crystal orientation of a spindle axis angle]
                                 [will be refined for each batch separately. ]
                                 [rotz can not be fitted in postrefinement   ]
                                 [for each batch separately                  ]
fit batch rotx $PARTS
fit batch roty $PARTS
[fit crystal rotz $PARTS		 [not too sure about this]



[hkl matrix  -1  0  0
             0 -1  0
             0  0  1		 [need to flip indicies?		     ]

format denzo_york1

sector $FRAMES
FILE 'xfiles/Se1_1_E1_###.x'

eof-scale
if($status) exit 2

# update log
if(-e logs/scale$$.log) mv logs/scale$$.log logs/scale.log

# count rejections (for convenience)
set rejects = `grep f reject | wc`
echo $rejects[1] fulls rejected.
set rejects = `wc reject`
@ rejects = ( $rejects[1] - 1 )
echo $rejects total rejections.

# auto-converge option
if($?converge) then

    if("$rejects" != "$lastreject") then
	set lastreject = "$rejects"
	echo converging...
	goto again
    endif
    
    # analyze output
    if(-e logs/scale.log) then
	cat logs/scale.log
    endif
endif

